Loading...
Searching...
No Matches
sip_subscription_state_s Struct Reference
Sip_subscription_state

Structure for Subscription-State header. More...

`#include <sip.h>`

Collaboration diagram for sip_subscription_state_s:
[legend]

## Data Fields

sip_common_t | ss_common [1]
| Common fragment info.
sip_error_t * | ss_next
| Dummy link to next.
char const * | ss_substate
| Subscription state: "pending", "active" or "terminated".
msg_param_t const * | ss_params
| List of parameters.
char const * | ss_reason
| Reason for termination.
char const * | ss_expires
| Subscription lifetime.
char const * | ss_retry_after
| Value of retry-after parameter.

## Detailed Description

Structure for Subscription-State header.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.